Description

Hi, 

when importing CSV, we often have text identifiers that are similar to numerics, ie: "09123".  CSV plugin auto types this filed to numeric

9123 when we need to keep it as it should be. 

It would be nive to be able to choose field type destination and have an automatic cast to this.

Currently, we need to switch to ods / xslx to keep those types, but that is not straightforward

Cheers

Régis

Related issues:

Duplicates QGIS Application - Feature request # 4212: Data types for csv Open 2011-08-23

Duplicates QGIS Application - Feature request # 5606: Defining column types f... Open 2012-05-16

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-04-15 11:33 AM - Johannes Kroeger

This is a dupe of #4212 and #5606

#3 - 2018-04-15 01:23 PM - Jürgen Fischer

- Duplicates Feature request #4212: Data types for csv added

#4 - 2018-04-15 01:23 PM - Jürgen Fischer

- Duplicates Feature request #5606: Defining column types for CSV imports added
